import greenfoot.*;
import javax.swing.*;
import java.awt.event.*;
import java.awt.Color;

/**
 * @author Sven van Nigtevecht
 * @version 1.1
 */
public class TextWorld extends World implements WindowListener
{
    private JTextArea enterTextArea;
    
    public TextWorld()
    {
        super(600, 400, 1);
        getBackground().setColor(Color.BLACK);
        getBackground().drawString("Enter text in the text field. Close it and you will see your text displayed in a new window.", 50, 50);
    }
    
    public void started()
    {
        showEnterText();
    }
    
    private void showEnterText()
    {
        enterTextArea = new JTextArea();
        enterTextArea.setEditable(true);
        JScrollPane scrollPane = new JScrollPane(enterTextArea);
        JFrame f = new JFrame();
        f.addWindowListener(this);
        f.add(scrollPane);
        f.setSize(600,400);
        f.setVisible(true);
    }
    
    private void showPopup(String txt)
    {
        JTextArea textArea = new JTextArea(5, 20);
        textArea.setText(txt);
        textArea.setEditable(true);
        JScrollPane scrollPane = new JScrollPane(textArea);
        JFrame f = new JFrame();
        f.add(scrollPane);
        f.setSize(600,400);
        f.setVisible(true);
    }
    
    
    
    
    public void windowClosing(WindowEvent e)
    {
        showPopup(enterTextArea.getText());
    }
    
    public void windowActivated(WindowEvent e) {}
    public void windowClosed(WindowEvent e) {}
    public void windowDeactivated(WindowEvent e) {}
    public void windowDeiconified(WindowEvent e) {}
    public void windowIconified(WindowEvent e) {}
    public void windowOpened(WindowEvent e) {}
}